ServerEvents.tags('item', event => {

  // GENERAL TAGS
  // Make sure to report as issues and check mod changelogs to see if they have been implemented

  event.remove('c:foods/fruit', 'enderscape:flanger_berry')
  event.add('c:foods/berry', 'enderscape:flanger_berry')

  event.add('c:bricks/resin', 'vanillabackport:resin_brick')
  event.add('c:bricks', '#c:bricks/resin')
  event.add('supplementaries:throwable_bricks', 'vanillabackport:resin_brick')

  event.add('c:ingots/shadoline', 'enderscape:shadoline_ingot')

  event.add('c:raw_materials/shadoline', 'enderscape:raw_shadoline')
  event.add('c:raw_materials', '#c:raw_materials/shadoline')

  event.add('c:gems/nebulite', 'enderscape:nebulite')

  event.add('minecraft:beacon_payment_items', 'enderscape:shadoline_ingot')
  event.remove('minecraft:beacon_payment_items', 'minecraft:copper_ingot')

  event.add('c:storage_blocks/shadoline', 'enderscape:shadoline_block')
  event.add('c:storage_blocks/nebulite', 'enderscape:nebulite_block')
  event.add('c:storage_blocks/raw_shadoline', 'enderscape:raw_shadoline_block')

  event.add('c:storage_blocks', '#c:storage_blocks/raw_shadoline')
  event.add('c:storage_blocks', 'oreganized:raw_lead_block')
  event.add('c:storage_blocks', 'oreganized:raw_silver_block')

  event.add('minecraft:piglin_loved', 'minecraft:gold_nugget')
  event.add('minecraft:piglin_loved', 'crittersandcompanions:gold_dragonfly_armor') // Check if implemented by mod

  event.add('c:animal_foods', '#crittersandcompanions:otter_food')

  event.add('c:tools/melee_weapon', '#minecraft:swords')
  event.add('c:tools/melee_weapon', '#minecraft:axes')
  event.add('c:tools/mining_tool', '#minecraft:pickaxes')
  event.add('minecraft:cluster_max_harvestables', '#minecraft:pickaxes')


  // MODPACK-SPECIFIC TAGS (i.e. tags that I wouldn't report to the GitHubs of the mods)

  event.removeAll('ecologics:penguin_tempt_items')
  event.removeAll('oreganized:gargoyle_snack')


})
